Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.saxpath
Interface Operator

public interface Operator

Constants used to represent XPath operators.

Field Summary
`static int` | `ADD` The addition operator `+`
`static int` | `DIV` The floating point division operator `div`.
`static int` | `EQUALS` The equal to operator `=`.
`static int` | `GREATER_THAN` The greater-than operator `>`
`static int` | `GREATER_THAN_EQUALS` The greater-than or equals operator `>=`
`static int` | `LESS_THAN` The less-than operator `<`
`static int` | `LESS_THAN_EQUALS` The less-than-or-equal-to operator `<=`
`static int` | `MOD` The remainder operator `mod`.
`static int` | `MULTIPLY` The multiplication operator `*`
`static int` | `NEGATIVE` Unary `-`
`static int` | `NO_OP` Indicates that we're passing through a grammar production without actually activating it.
`static int` | `NOT_EQUALS` The not equal to operator `!=`
`static int` | `SUBTRACT` The subtraction operator `-`

Field Detail

### NO_OP

    public static final int NO_OP

  Indicates that we're passing through a grammar production without actually activating it. For example in the expression `1` is matches AdditiveExpr and MultiplicativeExpr in the XPath grammar, even though it has neither a plus, minus, multiplication, or other sign.

  See Also:
    Constant Field Values

### EQUALS

    public static final int EQUALS

  The equal to operator `=`. This is equivalent to `==` in Java. This is a comparison operator, not an assignment operator.

  See Also:
    Constant Field Values

### NOT_EQUALS

    public static final int NOT_EQUALS

  The not equal to operator `!=`

  See Also:
    Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

  The less-than operator `<`

  See Also:
    Constant Field Values

### LESS_THAN_EQUALS

    public static final int LESS_THAN_EQUALS

  The less-than-or-equal-to operator `<=`

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

  The greater-than operator `>`

  See Also:
    Constant Field Values

### GREATER_THAN_EQUALS

    public static final int GREATER_THAN_EQUALS

  The greater-than or equals operator `>=`

  See Also:
    Constant Field Values

### ADD

    public static final int ADD

  The addition operator `+`

  See Also:
    Constant Field Values

### SUBTRACT

    public static final int SUBTRACT

  The subtraction operator `-`

  See Also:
    Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

  The multiplication operator `*`

  See Also:
    Constant Field Values

### MOD

    public static final int MOD

  The remainder operator `mod`. This is equivalent to `%` in Java.

  See Also:
    Constant Field Values

### DIV

    public static final int DIV

  The floating point division operator `div`. This is equivalent to `/` in Java.

  See Also:
    Constant Field Values

### NEGATIVE

    public static final int NEGATIVE

  Unary `-`

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.